Developers
API ReferenceDashboard Widget

Dedicated action for widget to return chart data of finished tasks.

GET
/project/task/finished-task-chart

Dedicated action for widget to return chart data of finished tasks.

Authorization<token>

Value for the Authorization header parameter.

In: header

Query Parameters

projectId?string

Project id of project that data need to be filtered

userId?string

Id of current user if want only data of this user

dateStart*string

Start date of data.

Formatdate-time
dateEnd*string

End date of data.

Formatdate-time
requestedTimezone*string

Timezone

Response Body

curl -X GET "https://example.com/project/task/finished-task-chart?dateStart=2019-08-24T14%3A15%3A22Z&dateEnd=2019-08-24T14%3A15%3A22Z&requestedTimezone=string"
[  {    "date": "2019-08-24T14:15:22Z",    "taskCount": 0  }]